# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.sites
Class SiteQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.sites.SiteQuery

    public class SiteQuery

extends Query

Describes a query for the feed containing descriptions of a user's sites.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`SiteQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getIncludeAllSites()` Returns the include all sites that can be viewed.
`java.lang.Boolean` `getWithMappings()` Returns the handle web address mappings.
`void` `setIncludeAllSites(java.lang.String includeAllSites)` Sets the include all sites that can be viewed.
`void` `setWithMappings(java.lang.Boolean withMappings)` Sets the handle web address mappings.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteQuery

    public SiteQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getIncludeAllSites

    public java.lang.String getIncludeAllSites()

  Returns the include all sites that can be viewed.

  Returns:
    include all sites that can be viewed or `null` to indicate that the parameter is not set.

### setIncludeAllSites

    public void setIncludeAllSites(java.lang.String includeAllSites)

  Sets the include all sites that can be viewed.

  Parameters:
    `includeAllSites` - include all sites that can be viewed or `null` to remove this parameter if set.

### getWithMappings

    public java.lang.Boolean getWithMappings()

  Returns the handle web address mappings.

  Returns:
    handle web address mappings or `null` to indicate that the parameter is not set.

### setWithMappings

    public void setWithMappings(java.lang.Boolean withMappings)

  Sets the handle web address mappings.

  Parameters:
    `withMappings` - handle web address mappings or `null` to remove this parameter if set.